Bug 458756 - kernel: dlm: check for null in device_write [mrg-1]
Summary: kernel: dlm: check for null in device_write [mrg-1]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.0.3
: ---
Assignee: Red Hat Real Time Maintenance
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-12 04:11 UTC by Eugene Teo (Security Response)
Modified: 2008-10-07 19:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-07 19:20:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upstream patch for this issue (1.03 KB, patch)
2008-08-12 04:13 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0857 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-10-07 19:18:59 UTC

Description Eugene Teo (Security Response) 2008-08-12 04:11:59 UTC
Description of problem:
If device_write function is called via dlm-control, file->private_data will be NULL. See ctl_device_open() in user.c. Through proc->flags is read.

Comment 2 Eugene Teo (Security Response) 2008-08-12 04:13:55 UTC
Created attachment 314042 [details]
Upstream patch for this issue

Comment 3 Beth Uptagrafft 2008-09-05 18:34:16 UTC
in -77.

Comment 5 David Sommerseth 2008-09-23 11:42:55 UTC
Verified that upstream patch 254ae43ab8d7877c980fca3636624e0777a70fa4 is implemented as commit 2636c514d9a35c7bf9d39f40c9c57849df90895d in mrt-rt-2.6.24.7-81

Comment 7 errata-xmlrpc 2008-10-07 19:20:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0857.html


Note You need to log in before you can comment on or make changes to this bug.